class PushNotification {
  String title;
  String body;
  String data;

  PushNotification({
    this.title,
    this.body,
    this.data,
  });

  factory PushNotification.fromJson(Map<String, dynamic> json) {
    return PushNotification(
      title: json["notification"]["title"],
      body: json["notification"]["body"],
      data: json["notification"]["data"],
    );
  }
}
